/*-- change all variables here --*/

:root {
	/* colours */
	--text: #563b17;
    --link: #d3a622;
    --linkHover: #83aacd;
    --main: #fae9b1;
    --light: #fdfaf1;
    --dark:#fdfaf1;
    --accent: #f3e9c8;
	--bg: #fbf6e3;

    /* from https://10015.io/tools/css-background-pattern-generator */
    --bg-pattern: radial-gradient(var(--dark) 2px, transparent 2px), radial-gradient(var(--dark) 2px, transparent 2px);
    --bg-size: 32px 32px;
    --bg-position: 0 0, 16px 16px;
    background-image: url('https://cdn.media.amplience.net/s/serenaandlily/600096_SET');

    /* fonts. these are all web-safe fonts, feel free to use your own or mess around. */
    --bodyfont: 'Baskerville', 'Times New Roman', Times, serif;
    --titlefont: 'baskerville', 'Times New Roman', Times, serif;
    --cursivefont: cursive;
    --text-size: 1.15rem;

	/* misc */
	--solid: 0px solid var(--linkHover);
	--underline: solid 1px var(--main);
    --outline: solid 2px var(--link);
    --transparent: #00000000;

    --grad-light: linear-gradient(to top, var(--light), var(--transparent));
    --grad-dark: linear-gradient(var(--dark), var(--transparent));

    /*columns*/
    --min-img-width: 150px;
    --max-img-width: 400px;
    --max-columns: 4;
    --column-gap: var(--spacing);

    /*spacing*/
    --spacing: 0.5em;
    --doublespacing: 1em;
}


/*-- body --*/

* {
    box-sizing: border-box;
}

body {
    color:var(--text);
    max-width: 1200px;
    margin: 0 auto;
    background-color: var(--bg);
    background-image: var(--bg-pattern);
    background-size: var(--bg-size);
    background-position: var(--bg-position);
    font-family: var(--bodyfont);
    font-size: var(--text-size);
}

main {
    background-color: var(--bg);
    border-right: var(--solid);
    border-left: var(--solid);
    padding: var(--spacing);
}

.head {
    padding: 0 var(--doublespacing);
}

.micro {
    margin-top: 4em;
    margin: auto;
    padding: var(--doublespacing);
    border: .2em double #83aacd; 
    background-color: var(--light);
    width: 80%;
    font-size: large;
}
.micro h3{margin-top: 0; text-transform: uppercase;}

footer {
    text-align: center;
    margin-top: calc(var(--doublespacing) * 2);
    padding: var(--spacing);
    background-color: var(--bg);
    width: 100%;
    bottom: 0;
    left: 0;
}


/*links*/
a{
    color: var(--link);
    background: none;
    background-color: none;
    outline: none;
    border:none;
    border-radius: none;
    text-decoration: underline;
    font-weight: bold;
    font-family: var(--bodyfont);
}
a:hover{
    color: var(--linkHover);
    background: none;
    background-color: none;
    background-image: var(--grad-light);
    outline: none;
    border:none;
    text-decoration-thickness: 3px;
}
a::before{
    content: url('images/listtinyflower.webp'); /*change the icon if you wish, or remove it!*/
}
nav{
    text-align: left;
    letter-spacing: .1rem;
    margin: 1rem 1rem 0rem 1rem;
    
}


/* headings */
h1, h2, h3, h4 {
    font-family: var(--titlefont);
    text-transform: lowercase;
}
h2 {
    background-color: var(--main);
    text-align: center;
    color: var(--background);
}
h3 {
    text-align: center;
    background-color: var(--accent);
    
    margin: var(--spacing);
}


/*text stylings*/
em {
    font-size: larger;
}
mark {
    background-color: var(--light);
}
code{
    font-weight: bold;
    background-color: var(--light);
}
hr {
    width: 100%;
    border: var(--underline);
}
blockquote{
    border-left: var(--dark) solid 4px;
    background-image: var(--grad-light);
    padding: var(--spacing) var(--doublespacing);
}

summary{
    cursor: pointer;
}

/*filterDiv stylings*/
#container {
    overflow: scroll;
}/*stops the flex from cutting off the boxes*/

#container.columns {
    columns: var(--min-img-width) var(--max-columns);
    gap: var(--spacing);
} /*change the column number back up at the root!*/

/*this is what styles the "boxes"*/
.filterDiv {
    background-color: var(--light);
    color: var(--text);
    border-radius: 0px;
    border: .1em dashed #e2c879; 
    margin-bottom: 1rem;
    width: 100%;
    overflow: hidden;
    display: none; /* Hidden by default */
}

.filterDiv p{
    padding: 0 1em;
}
.filterDiv h1{
    padding: 0 var(--spacing);
    margin: 0;
}
.filterDiv img{
    width: 100%;
    height: 100%;
    object-fit:contain;
}

/* The "show" class is added to the filtered elements */
.show {
  display: block;
}

/* buttons */
.btn {
    outline: none;
    border: none;
    padding: 0.5em;
    background-color: var(--link);
    color: var(--bg);
    display: inline-block;
    font-family: var(--bodyfont);
    font-weight: bold;
    text-transform: uppercase;
    cursor: pointer;
    border-radius: 5px;
}
.btn:hover {
    background-color: var(--linkHover);
    outline: var(--outline);
}
/*when the button is "clicked"*/
.btn.active {
    background-color: var(--linkHover);
    outline: var(--outline);
    font-style: italic;
}
.btn::before {
    content:"#";
}

#myBtnContainer{
    margin: var(--spacing) auto;
    margin-bottom: var(--doublespacing);
    text-align: left;
    padding: var(--doublespacing);
    width: 100%;
    line-height: 2em;
}
#myBtnContainer h2{
    margin-top: 0;
}


/* Mobile Styling */
@media only screen and (max-width: 800px){
    main{border: none} /*removes border for mobile*/
    blockquote{ margin: 0;}
    #myBtnContainer{
        width: 100%;
        line-height: 2.5em;
        margin-bottom: var(--spacing);
    }
    .micro{
        width: 100%;
        margin: auto;
    }
#container.columns {
    columns: 2;} /*single column for mobile*/
}